summaryrefslogtreecommitdiffstats
path: root/debian/cryptsetup-udeb.preinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 17:44:13 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 17:44:13 +0000
commit1103cc2d299a0f29631f9f5322d93efcca8098c7 (patch)
tree656763a55c9de10b1de70761e3d0b8d44056af1d /debian/cryptsetup-udeb.preinst
parentAdding upstream version 2:2.3.7. (diff)
downloadcryptsetup-debian/2%2.3.7-1+deb11u1.tar.xz
cryptsetup-debian/2%2.3.7-1+deb11u1.zip
Adding debian version 2:2.3.7-1+deb11u1.debian/2%2.3.7-1+deb11u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/cryptsetup-udeb.preinst')
-rw-r--r--debian/cryptsetup-udeb.preinst32
1 files changed, 32 insertions, 0 deletions
diff --git a/debian/cryptsetup-udeb.preinst b/debian/cryptsetup-udeb.preinst
new file mode 100644
index 0000000..483051e
--- /dev/null
+++ b/debian/cryptsetup-udeb.preinst
@@ -0,0 +1,32 @@
+#! /bin/sh
+
+set -e
+
+create_crypttab() {
+ if [ ! -f "/etc/crypttab" ]; then
+ cat <<-EOC >/etc/crypttab
+ # <target name> <source device> <key file> <options>
+ EOC
+ fi
+}
+
+case "$1" in
+ install)
+ create_crypttab
+ ;;
+
+ upgrade)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument '$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0